# DataExchange
TKIGES
IGESBasic

# IGESBasic_Hierarchy Class Reference

defines Hierarchy, Type <406> Form <10>
in package IGESBasic
Provides ability to control the hierarchy of each
directory entry attribute.

`#include <IGESBasic_Hierarchy.hxx>`

Inheritance diagram for IGESBasic_Hierarchy:

[legend]

## Public Member Functions

Standard_EXPORT | IGESBasic_Hierarchy ()
Standard_EXPORT void | Init (const Standard_Integer nbPropVal, const Standard_Integer aLineFont, const Standard_Integer aView, const Standard_Integer anEntityLevel, const Standard_Integer aBlankStatus, const Standard_Integer aLineWt, const Standard_Integer aColorNum)

This method is used to set the fields of the class
Hierarchy
- nbPropVal : Number of Property values = 6
- aLineFont : indicates the line font
- aView : indicates the view
- aEntityLevel : indicates the entity level
- aBlankStatus : indicates the blank status
- aLineWt : indicates the line weight
- aColorNum : indicates the color num
aLineFont, aView, aEntityLevel, aBlankStatus, aLineWt and
aColorNum can take 0 or 1.
0 : The directory entry attribute will apply to entities
physically subordinate to this entity.
1 : The directory entry attribute of this entity will not
apply to physically subordinate entities.
.

Standard_EXPORT Standard_Integer | NbPropertyValues () const
| returns the number of property values, which should be 6
Standard_EXPORT Standard_Integer | NewLineFont () const
| returns the line font
Standard_EXPORT Standard_Integer | NewView () const
| returns the view
Standard_EXPORT Standard_Integer | NewEntityLevel () const
| returns the entity level
Standard_EXPORT Standard_Integer | NewBlankStatus () const
| returns the blank status
Standard_EXPORT Standard_Integer | NewLineWeight () const
| returns the line weight
Standard_EXPORT Standard_Integer | NewColorNum () const
| returns the color number
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theNbPropertyValues
Standard_Integer | theLineFont
Standard_Integer | theView
Standard_Integer | theEntityLevel
Standard_Integer | theBlankStatus
Standard_Integer | theLineWeight
Standard_Integer | theColorNum

## Constructor & Destructor Documentation

Standard_EXPORT IGESBasic_Hierarchy::IGESBasic_Hierarchy | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESBasic_Hierarchy::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESBasic_Hierarchy::Init | ( | const Standard_Integer | nbPropVal,
|  | const Standard_Integer | aLineFont,
|  | const Standard_Integer | aView,
|  | const Standard_Integer | anEntityLevel,
|  | const Standard_Integer | aBlankStatus,
|  | const Standard_Integer | aLineWt,
|  | const Standard_Integer | aColorNum
| ) |

Standard_EXPORT Standard_Integer IGESBasic_Hierarchy::NbPropertyValues | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESBasic_Hierarchy::NewBlankStatus | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESBasic_Hierarchy::NewColorNum | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESBasic_Hierarchy::NewEntityLevel | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESBasic_Hierarchy::NewLineFont | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESBasic_Hierarchy::NewLineWeight | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESBasic_Hierarchy::NewView | ( |  | ) | const

## Field Documentation

Standard_Integer IGESBasic_Hierarchy::theBlankStatus `[private]`

Standard_Integer IGESBasic_Hierarchy::theColorNum `[private]`

Standard_Integer IGESBasic_Hierarchy::theEntityLevel `[private]`

Standard_Integer IGESBasic_Hierarchy::theLineFont `[private]`

| Reimplemented from IGESData_IGESEntity.

Standard_Integer IGESBasic_Hierarchy::theLineWeight `[private]`

Standard_Integer IGESBasic_Hierarchy::theNbPropertyValues `[private]`

Standard_Integer IGESBasic_Hierarchy::theView `[private]`

| Reimplemented from IGESData_IGESEntity.

The documentation for this class was generated from the following file:

- IGESBasic_Hierarchy.hxx